package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.BillPushGoods;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface BillPushGoodsDAO {
	int insert(BillPushGoods entity);
	int update(BillPushGoods entity);
	int exist(String id);
	BillPushGoods get(String id);
	int delete(String id);
	List<BillPushGoods> list();
	List<BillPushGoods> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<BillPushGoods> searchStatistics(Map<String, Object> searchParams, List<Sort> sortList);
    List<BillPushGoods> findByBillPushId(String billPushId);
    BillPushGoods findLastByCheckinInfoIdAndGoodsId(String checkinInfoId, String goodsId);
}